<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_java_script.html">JavaScript</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html">JavaScriptSerializer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Serializes <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_java_script.html">JavaScript</a> source code out of a syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_java_script_8_java_script_serializer_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_java_script_8_java_script_serializer_inherit__map" id="ax_a_p_i___definitions___parser_8_code_8_java_script_8_java_script_serializer_inherit__map">
<area shape="rect" title="Serializes JavaScript source code out of a syntax tree" alt="" coords="5,80,237,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" title="Serializes source code out of a syntax tree" alt="" coords="50,5,193,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer__coll__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_java_script_8_java_script_serializer_coll__map" alt="Collaboration graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_java_script_8_java_script_serializer_coll__map" id="ax_a_p_i___definitions___parser_8_code_8_java_script_8_java_script_serializer_coll__map">
<area shape="rect" title="Serializes JavaScript source code out of a syntax tree" alt="" coords="5,80,237,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" title="Serializes source code out of a syntax tree" alt="" coords="50,5,193,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa2a8052c80627db1c2f4c9628a22c7ee"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#aa2a8052c80627db1c2f4c9628a22c7ee">DictionaryToString</a> (IDictionary&lt; string, string &gt; dict, int indentDepth)</td></tr>
<tr class="memdesc:aa2a8052c80627db1c2f4c9628a22c7ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a dictionary  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#aa2a8052c80627db1c2f4c9628a22c7ee">More...</a><br /></td></tr>
<tr class="separator:aa2a8052c80627db1c2f4c9628a22c7ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a114d861258f1f40eed4a91a7f8164a32"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a114d861258f1f40eed4a91a7f8164a32">RootToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> root)</td></tr>
<tr class="memdesc:a114d861258f1f40eed4a91a7f8164a32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a root  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a114d861258f1f40eed4a91a7f8164a32">More...</a><br /></td></tr>
<tr class="separator:a114d861258f1f40eed4a91a7f8164a32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td></tr>
<tr class="memitem:a6819f6a26baa236b3252c2fc3ed021c1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">DictionaryToString</a> (IDictionary&lt; string, string &gt; dict, int indentDepth)</td></tr>
<tr class="memdesc:a6819f6a26baa236b3252c2fc3ed021c1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a dictionary  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">More...</a><br /></td></tr>
<tr class="separator:a6819f6a26baa236b3252c2fc3ed021c1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a701763ecf1f76561e743fda91cc718 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">RootToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> root)</td></tr>
<tr class="memdesc:a5a701763ecf1f76561e743fda91cc718 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a root  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">More...</a><br /></td></tr>
<tr class="separator:a5a701763ecf1f76561e743fda91cc718 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4c7ec69ee34db3696f32c12282acb9 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#afb4c7ec69ee34db3696f32c12282acb9">NullToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_null.html">Null</a> n)</td></tr>
<tr class="memdesc:afb4c7ec69ee34db3696f32c12282acb9 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a Null  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#afb4c7ec69ee34db3696f32c12282acb9">More...</a><br /></td></tr>
<tr class="separator:afb4c7ec69ee34db3696f32c12282acb9 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a367c5b43ec6dadf83b1fb6225370b277"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a367c5b43ec6dadf83b1fb6225370b277">ImportToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> import, int indentDepth)</td></tr>
<tr class="memdesc:a367c5b43ec6dadf83b1fb6225370b277"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes an import  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a367c5b43ec6dadf83b1fb6225370b277">More...</a><br /></td></tr>
<tr class="separator:a367c5b43ec6dadf83b1fb6225370b277"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b878250f0c9e04fb15112f0e8d6794a"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a6b878250f0c9e04fb15112f0e8d6794a">ClassToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a6b878250f0c9e04fb15112f0e8d6794a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a6b878250f0c9e04fb15112f0e8d6794a">More...</a><br /></td></tr>
<tr class="separator:a6b878250f0c9e04fb15112f0e8d6794a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c1cd13721d030ea32874110790c502e"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a9c1cd13721d030ea32874110790c502e">GetablePropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> property, int indentDepth)</td></tr>
<tr class="memdesc:a9c1cd13721d030ea32874110790c502e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a getable property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a9c1cd13721d030ea32874110790c502e">More...</a><br /></td></tr>
<tr class="separator:a9c1cd13721d030ea32874110790c502e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef51a333a55eb25c839e84dcf2e97478"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#aef51a333a55eb25c839e84dcf2e97478">PropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:aef51a333a55eb25c839e84dcf2e97478"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#aef51a333a55eb25c839e84dcf2e97478">More...</a><br /></td></tr>
<tr class="separator:aef51a333a55eb25c839e84dcf2e97478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b7486cd14f9980f32281a06fba02aa0"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a7b7486cd14f9980f32281a06fba02aa0">ConstructorToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> constructor, int indentDepth)</td></tr>
<tr class="memdesc:a7b7486cd14f9980f32281a06fba02aa0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a7b7486cd14f9980f32281a06fba02aa0">More...</a><br /></td></tr>
<tr class="separator:a7b7486cd14f9980f32281a06fba02aa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70c8448b84160dfe4f8b4a6eb97bad98"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a70c8448b84160dfe4f8b4a6eb97bad98">MethodToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> method, int indentDepth)</td></tr>
<tr class="memdesc:a70c8448b84160dfe4f8b4a6eb97bad98"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a70c8448b84160dfe4f8b4a6eb97bad98">More...</a><br /></td></tr>
<tr class="separator:a70c8448b84160dfe4f8b4a6eb97bad98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a059d22d470f08bbf8125e87bb9fd81d6"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a059d22d470f08bbf8125e87bb9fd81d6">ArgumentsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args, int indentDepth, bool newLines=false, bool withName=false)</td></tr>
<tr class="memdesc:a059d22d470f08bbf8125e87bb9fd81d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of arguments  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a059d22d470f08bbf8125e87bb9fd81d6">More...</a><br /></td></tr>
<tr class="separator:a059d22d470f08bbf8125e87bb9fd81d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a289454ff74424354f88d76d8f5da6047"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a289454ff74424354f88d76d8f5da6047">ParametersToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt; parameters)</td></tr>
<tr class="memdesc:a289454ff74424354f88d76d8f5da6047"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of parameters  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a289454ff74424354f88d76d8f5da6047">More...</a><br /></td></tr>
<tr class="separator:a289454ff74424354f88d76d8f5da6047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe52f7739ef3127fce787abfa72874c1"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#afe52f7739ef3127fce787abfa72874c1">PropertyCommentToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:afe52f7739ef3127fce787abfa72874c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#afe52f7739ef3127fce787abfa72874c1">More...</a><br /></td></tr>
<tr class="separator:afe52f7739ef3127fce787abfa72874c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14561f2e02169cddfc516bd5e8db1a55"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a14561f2e02169cddfc516bd5e8db1a55">CommentToString</a> (string comment, int indentDepth)</td></tr>
<tr class="memdesc:a14561f2e02169cddfc516bd5e8db1a55"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a14561f2e02169cddfc516bd5e8db1a55">More...</a><br /></td></tr>
<tr class="separator:a14561f2e02169cddfc516bd5e8db1a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td></tr>
<tr class="memitem:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a758c7bfee87624656fbed9b49e61ac">ModifiersToString</a> (IReadOnlyList&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt; modifiers)</td></tr>
<tr class="memdesc:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of modifiers  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a758c7bfee87624656fbed9b49e61ac">More...</a><br /></td></tr>
<tr class="separator:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2f67f04695515c3eff4e6c32f9065c00">ClassContentsToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2f67f04695515c3eff4e6c32f9065c00">More...</a><br /></td></tr>
<tr class="separator:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ab31658640e1e6238134913bf32330c45">PropertiesToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> &gt; properties, int indentDepth)</td></tr>
<tr class="memdesc:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes properties  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ab31658640e1e6238134913bf32330c45">More...</a><br /></td></tr>
<tr class="separator:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a75509e47eca1ec9d4225a9bb08eaa86d">ConstructorsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> &gt; constructors, int indentDepth)</td></tr>
<tr class="memdesc:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes constructors  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a75509e47eca1ec9d4225a9bb08eaa86d">More...</a><br /></td></tr>
<tr class="separator:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a3bb52a2076ccf87008a9ac93534db6e5">GetablePropertiesToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> &gt; properties, int indentDepth)</td></tr>
<tr class="memdesc:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes getable properties  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a3bb52a2076ccf87008a9ac93534db6e5">More...</a><br /></td></tr>
<tr class="separator:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a9ee565d5126667f3b16289790959ff6d">MethodsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> &gt; methods, int indentDepth)</td></tr>
<tr class="memdesc:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes methods  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a9ee565d5126667f3b16289790959ff6d">More...</a><br /></td></tr>
<tr class="separator:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">ImportToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> import, int indentDepth)</td></tr>
<tr class="memdesc:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes an import  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">More...</a><br /></td></tr>
<tr class="separator:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">ClassToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">More...</a><br /></td></tr>
<tr class="separator:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">GetablePropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> property, int indentDepth)</td></tr>
<tr class="memdesc:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a getable property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">More...</a><br /></td></tr>
<tr class="separator:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">PropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">More...</a><br /></td></tr>
<tr class="separator:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">ConstructorToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> constructor, int indentDepth)</td></tr>
<tr class="memdesc:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">More...</a><br /></td></tr>
<tr class="separator:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">MethodToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> method, int indentDepth)</td></tr>
<tr class="memdesc:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">More...</a><br /></td></tr>
<tr class="separator:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">ArgumentsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args, int indentDepth, bool newLines=default, bool withName=default)</td></tr>
<tr class="memdesc:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of arguments  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">More...</a><br /></td></tr>
<tr class="separator:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">ParametersToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt; parameters)</td></tr>
<tr class="memdesc:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of parameters  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">More...</a><br /></td></tr>
<tr class="separator:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">PropertyCommentToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">More...</a><br /></td></tr>
<tr class="separator:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">CommentToString</a> (string comment, int indentDepth)</td></tr>
<tr class="memdesc:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">More...</a><br /></td></tr>
<tr class="separator:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2764b1a0d9ef3d2f29792deb3b1ecf0a">MethodBodyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body, int indentDepth)</td></tr>
<tr class="memdesc:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method body  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2764b1a0d9ef3d2f29792deb3b1ecf0a">More...</a><br /></td></tr>
<tr class="separator:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a5938a3d986955d28b4765ca16e110527"><td class="memItemLeft" align="right" valign="top">override IDictionary&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a5938a3d986955d28b4765ca16e110527">Modifiers</a><code> [get]</code></td></tr>
<tr class="separator:a5938a3d986955d28b4765ca16e110527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td colspan="2" onclick="javascript:toggleInherit('properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td></tr>
<tr class="memitem:af07b5e9989a9844d407a957e86c42b9d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract IDictionary&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#af07b5e9989a9844d407a957e86c42b9d">Modifiers</a><code> [get]</code></td></tr>
<tr class="separator:af07b5e9989a9844d407a957e86c42b9d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Serializes <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_java_script.html">JavaScript</a> source code out of a syntax tree </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a059d22d470f08bbf8125e87bb9fd81d6" name="a059d22d470f08bbf8125e87bb9fd81d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a059d22d470f08bbf8125e87bb9fd81d6">&#9670;&nbsp;</a></span>ArgumentsToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.ArgumentsToString </td>
          <td>(</td>
          <td class="paramtype">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td>
          <td class="paramname"><em>args</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>newLines</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>withName</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a list of arguments </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">args</td><td>Arguments</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
    <tr><td class="paramname">newLines</td><td>Should every argument be in its own line</td></tr>
    <tr><td class="paramname">withName</td><td>Should the name be included in the arguments list (i.e. "name: value")</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized arguments string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a6b878250f0c9e04fb15112f0e8d6794a" name="a6b878250f0c9e04fb15112f0e8d6794a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b878250f0c9e04fb15112f0e8d6794a">&#9670;&nbsp;</a></span>ClassToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.ClassToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td>
          <td class="paramname"><em>cls</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a class </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cls</td><td>Class</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized class string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a14561f2e02169cddfc516bd5e8db1a55" name="a14561f2e02169cddfc516bd5e8db1a55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14561f2e02169cddfc516bd5e8db1a55">&#9670;&nbsp;</a></span>CommentToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.CommentToString </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>comment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a comment </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">comment</td><td>Comment</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized comment string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a7b7486cd14f9980f32281a06fba02aa0" name="a7b7486cd14f9980f32281a06fba02aa0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b7486cd14f9980f32281a06fba02aa0">&#9670;&nbsp;</a></span>ConstructorToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.ConstructorToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td>
          <td class="paramname"><em>constructor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a constructor </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">constructor</td><td>Constructor</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized constructor string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="aa2a8052c80627db1c2f4c9628a22c7ee" name="aa2a8052c80627db1c2f4c9628a22c7ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2a8052c80627db1c2f4c9628a22c7ee">&#9670;&nbsp;</a></span>DictionaryToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.DictionaryToString </td>
          <td>(</td>
          <td class="paramtype">IDictionary&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>dict</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a dictionary </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dict</td><td>Dictionary</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized dictionary string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a9c1cd13721d030ea32874110790c502e" name="a9c1cd13721d030ea32874110790c502e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c1cd13721d030ea32874110790c502e">&#9670;&nbsp;</a></span>GetablePropertyToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.GetablePropertyToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a getable property </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized getable property string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a367c5b43ec6dadf83b1fb6225370b277" name="a367c5b43ec6dadf83b1fb6225370b277"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a367c5b43ec6dadf83b1fb6225370b277">&#9670;&nbsp;</a></span>ImportToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.ImportToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>&#160;</td>
          <td class="paramname"><em>import</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes an import </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">import</td><td>Import</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized import string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a70c8448b84160dfe4f8b4a6eb97bad98" name="a70c8448b84160dfe4f8b4a6eb97bad98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70c8448b84160dfe4f8b4a6eb97bad98">&#9670;&nbsp;</a></span>MethodToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.MethodToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td>
          <td class="paramname"><em>method</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a method </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">method</td><td>Method</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized method string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a289454ff74424354f88d76d8f5da6047" name="a289454ff74424354f88d76d8f5da6047"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a289454ff74424354f88d76d8f5da6047">&#9670;&nbsp;</a></span>ParametersToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.ParametersToString </td>
          <td>(</td>
          <td class="paramtype">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt;&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a list of parameters </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parameters</td><td>Parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized parameters string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="afe52f7739ef3127fce787abfa72874c1" name="afe52f7739ef3127fce787abfa72874c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe52f7739ef3127fce787abfa72874c1">&#9670;&nbsp;</a></span>PropertyCommentToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.PropertyCommentToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a property comment </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized property comment string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="aef51a333a55eb25c839e84dcf2e97478" name="aef51a333a55eb25c839e84dcf2e97478"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef51a333a55eb25c839e84dcf2e97478">&#9670;&nbsp;</a></span>PropertyToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.PropertyToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a property </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized property string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a114d861258f1f40eed4a91a7f8164a32" name="a114d861258f1f40eed4a91a7f8164a32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a114d861258f1f40eed4a91a7f8164a32">&#9670;&nbsp;</a></span>RootToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.RootToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a>&#160;</td>
          <td class="paramname"><em>root</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a root </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">root</td><td>Root</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized root string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a5938a3d986955d28b4765ca16e110527" name="a5938a3d986955d28b4765ca16e110527"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5938a3d986955d28b4765ca16e110527">&#9670;&nbsp;</a></span>Modifiers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override IDictionary&lt;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string&gt; xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer.Modifiers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/JavaScript/<a class="el" href="_java_script_serializer_8cs.html">JavaScriptSerializer.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
